Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.MediaPlayer Class Reference
Inheritance diagram for com.foxit.sdk.pdf.MediaPlayer:

## Public Member Functions
| MediaPlayer (PDFDictionary media_player_dict)
| Constructor, with parameters. More...
| MediaPlayer (MediaPlayer other)
| Constructor, with another media player object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDFDictionary | getDict () throws com.foxit.sdk.PDFException
| Get the PDF dictionary of current object. More...
java.util.ArrayList< java.lang.String > | getOSIdentifiers () throws com.foxit.sdk.PDFException
| Get the string array that represents operating system identifiers. More...
String | getSoftwareURI () throws com.foxit.sdk.PDFException
| Get software URI that identifies a piece of software. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | setOSIdentifiers (java.util.ArrayList< java.lang.String > identifier_array) throws com.foxit.sdk.PDFException
| Set the string array that represents operating system identifiers. More...
void | setSoftwareURI (String uri) throws com.foxit.sdk.PDFException
| Get software URI that identifies a piece of software. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

Class MediaPlayer provides methods to access to information regarding a specific media player.

## Constructor & Destructor Documentation

## ◆ MediaPlayer() [1/2]

com.foxit.sdk.pdf.MediaPlayer.MediaPlayer | ( | PDFDictionary | media_player_dict | ) |

Constructor, with parameters.

Usually, a media player object should be only be added to a rendition object with specified media player type. User is not recommended to add the same media player object to different renditions or different media player types of one rendition; otherwise unexpected issues (such as crash) may occur later. If user does not want to construct another media player and set same values, user can clone the dictionary of original media player object and use the cloned dictionary to construct another media player directly.

Parameters

  [in] | media_player_dict | The PDF dictionary for a media player object. If this is null that means to construct a new media player object. Default value: null.

## ◆ MediaPlayer() [2/2]

com.foxit.sdk.pdf.MediaPlayer.MediaPlayer | ( | MediaPlayer | other | ) |

Constructor, with another media player object.

Parameters

  [in] | other | Another media player object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.MediaPlayer.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getDict()

PDFDictionary com.foxit.sdk.pdf.MediaPlayer.getDict | ( |  | ) | throws com.foxit.sdk.PDFException

Get the PDF dictionary of current object.

Returns
  PDF dictionary of current object. If there is any error, this function will return null.

## ◆ getOSIdentifiers()

java.util.ArrayList< java.lang.String > com.foxit.sdk.pdf.MediaPlayer.getOSIdentifiers | ( |  | ) | throws com.foxit.sdk.PDFException

Get the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

Returns
  A string array that represents operating system identifiers. An empty array is considered to represent all operating systems.

## ◆ getSoftwareURI()

String com.foxit.sdk.pdf.MediaPlayer.getSoftwareURI | ( |  | ) | throws com.foxit.sdk.PDFException

Get software URI that identifies a piece of software.

For more details, please refer to <PDF reference 1.7> P780 "Software URIs".

Returns
  Software URI.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.MediaPlayer.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ setOSIdentifiers()

void com.foxit.sdk.pdf.MediaPlayer.setOSIdentifiers | ( | java.util.ArrayList< java.lang.String > | identifier_array | ) | throws com.foxit.sdk.PDFException

Set the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

Parameters

  [in] | identifier_array | A string array that represents operating system identifiers. An empty array is considered to represent all operating systems.

Returns
  None.

## ◆ setSoftwareURI()

void com.foxit.sdk.pdf.MediaPlayer.setSoftwareURI | ( | String | uri | ) | throws com.foxit.sdk.PDFException

Get software URI that identifies a piece of software.

This property is necessary for a media player object. For more details, please refer to <PDF reference 1.7> P780 "Software URIs".

Parameters

  [in] | uri | Software URI. It should not be an empty string.

Returns
  None.